NCM(4) | Device Drivers Manual | NCM(4)

# NAME

`ncm` — USB Network Control Model driver

# SYNOPSIS

`ncm* at uhub? port ?`

# DESCRIPTION

The `ncm` driver provides support for USB Network Control Model devices, often appearing as hotspot USB tethering in Android devices on devices such as the following:

- Google Pixel 8

# SEE ALSO

arp(4), intro(4), netintro(4), usb(4), usbnet(4), ifconfig.if(5), ifconfig(8)

Universal Serial Bus Class Communications Class Subclass Specification for Network Control Model Devices, https://www.usb.org/sites/default/files/NCM10_012011.zip.

# HISTORY

The `ncm` device driver first appeared in NetBSD 11.0.

# AUTHORS

The `ncm` driver was written by Maya Rashish <maya@netbsd.org> based on the cdce(4) driver written by Craig Boston <craig@tobuj.gank.org>.

January 20, 2025 | NetBSD 11.0